CatalogChannels
Set listing overrides
PUT
/v1/channels/listings/{id}/overridesSet listing overrides. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/channels/listings/7204558912004325301/overrides" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "overrides": [ { "target": "name", "value": "example", "attributeId": "7204558912004325301", "variantId": "7204558912004325301" } ], "republish": true }'{ "overrides": [ { "target": "name", "value": "example", "attributeId": "7204558912004325301", "variantId": "7204558912004325301" } ], "queued": 1}